Subject: cygwin threaded plans
From: [email-masked] (Christoph Moar)

20 Aug 1998 17:36:40 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

I know this might have been asked many times, but I could not find 
out an authoritative answer.

From http://www.cygnus.com/misc/gnu-win32/usenix-98/cygwin.html
I quote:

"Cygwin32 does not yet support applications that use multiple Windows
threads, even though the library itself is multi-threaded. We expect to
address this shortcoming through the use of locks at strategic points in
the DLL. It would also be desirable to implement support for POSIX
threads."

I have a rather large program developed under unix, which 
rather easily compiles straight out with cygwin. The trouble is,
obviously, that I use threads, I use the encapsulated omnithread
library to be exact. Now, omnithread can be compiled to base on
windows threads, so support for posix threads is not an issue,
as long as it might be possible to link in the omnithread library
which is based on the windows threads.

Problem is only the cygwin dll. Are there any plans to release
a locked-version that might be thread-safe any time soon?

Sorry again if this is faq, I'd just like to know it from
the Masters ;)

Christoph.

--
Christoph Moar ([email-masked])  Tel. (++49) 89 636-44628
SIEMENS AG Corporate Technology                  Fax. (++49) 89 636-47457
Information and Media Technology
Office Adress:  SIEMENS AG  ZT IK 1,  Otto-Hahn-Ring  6,  D-81739  Munich
Postal Adress:  SIEMENS AG  ZT IK 1,  D-81730 Munich
pgpkey http://pgp5.ai.mit.edu:11371/pks/lookup?op=index&search=0xae81b9cc
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".